# Uses of Class
java.util.Base64.Decoder

Packages that use Base64.Decoder
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.

## Uses of Base64.Decoder in java.util

Methods in java.util that return Base64.Decoder
Modifier and Type
Method
Description
`static Base64.Decoder`
Base64.`getDecoder()`
Returns a `Base64.Decoder` that decodes using the Basic type base64 encoding scheme.
`static Base64.Decoder`
Base64.`getMimeDecoder()`
Returns a `Base64.Decoder` that decodes using the MIME type base64 decoding scheme.
`static Base64.Decoder`
Base64.`getUrlDecoder()`
Returns a `Base64.Decoder` that decodes using the URL and Filename safe type base64 encoding scheme.